Deprecated: Default quota for resource: *

Bug #1233763 reported by Joe Gordon on 2013-10-01
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cinder
Medium
Jay Bryant
Havana
Undecided
Unassigned

Bug Description

From a devstack run:

2013-10-01 16:27:35.961 26716 WARNING cinder.quota [req-2a9c6fda-432a-4b83-89bf-4197c1c2338b a4e99d4f91294795b36e7194cb0329fb a9cba2533d3946fcb09030d743cb7268] Deprecated: Default quota for resource: volumes is set by the default quota flag: quota_volumes, it is now deprecated. Please use the the default quota class for default quota.

2013-10-01 16:27:35.960 26716 WARNING cinder.quota [req-2a9c6fda-432a-4b83-89bf-4197c1c2338b a4e99d4f91294795b36e7194cb0329fb a9cba2533d3946fcb09030d743cb7268] Deprecated: Default quota for resource: gigabytes is set by the default quota flag: quota_gigabytes, it is now deprecated. Please use the the default quota class for default quota.

http://logs.openstack.org/35/43335/12/check/check-tempest-devstack-vm-full/49e7df0/logs/screen-c-api.txt.gz?level=TRACE

This may be a cinder problem or a devstack problem.

Mike Perez (thingee) on 2013-10-16
Changed in cinder:
assignee: nobody → Mike Perez (thingee)
Jay Bryant (jsbryant) wrote :

Mike, have you had a chance to look at this one at all? I have had a customer open a bug for this against me and can take a stab at fixing it if you haven't done anything with it thus far.

Let me know.

Jay Bryant (jsbryant) wrote :

I have investigated this further and discovered that this appears to be happening on systems where no default quota class has been setup on the system. I was able to avoid the error message by doing "cinder quota-class-update default --volume 10 --snapshots 10 --gigabytes 1000"

Given that quota_class_get_default is set to true by default, it seems we should be setting up default values in the database to go with the configuration setting. This seems like something we should do as part of the database configuration perhaps?

Mike Perez (thingee) on 2013-11-14
Changed in cinder:
assignee: Mike Perez (thingee) → Jay Bryant (jsbryant)
Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/56726
Committed: http://github.com/openstack/cinder/commit/7d2641688454d9064b691e4aab4b5d8b14d75305
Submitter: Jenkins
Branch: master

commit 7d2641688454d9064b691e4aab4b5d8b14d75305
Author: Jay S. Bryant <email address hidden>
Date: Fri Nov 15 19:01:58 2013 -0600

    Add default quota class into DB during migration

    For some time now use_default_quota_class has been the
    default setting for Cinder. Cinder, however, has not been putting
    any defaults for the default quota class into the database. This
    resulted in any command that queried for the default quotas to cause
    the message "Deprecated: Default quota for resource: <resource> is set
    by the default quota flag: <quota flag>, it is now deprecated. Please use
    the default quota class for default quota."

    This commit resolves this issue by setting the default value for volumes,
    snapshots and gigabytes in the quota_class table at migration time if there
    is not already a class_name of 'default' in the quota_classes table.

    Unit tests are included with this commit.

    Closes-bug 1233763
    Change-Id: I457ed8a9b78492eda22e31dfc198b2ee051d3ece

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
importance: Undecided → Medium
milestone: none → icehouse-1
Thierry Carrez (ttx) on 2013-12-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-1 → 2014.1

Reviewed: https://review.openstack.org/71404
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=c1fca7affc22dc756f07f604f03c2343eeac9d15
Submitter: Jenkins
Branch: stable/havana

commit c1fca7affc22dc756f07f604f03c2343eeac9d15
Author: Jay S. Bryant <email address hidden>
Date: Fri Nov 15 19:01:58 2013 -0600

    Add default quota class into DB during migration

    For some time now use_default_quota_class has been the
    default setting for Cinder. Cinder, however, has not been putting
    any defaults for the default quota class into the database. This
    resulted in any command that queried for the default quotas to cause
    the message "Deprecated: Default quota for resource: <resource> is set
    by the default quota flag: <quota flag>, it is now deprecated. Please use
    the default quota class for default quota."

    This commit resolves this issue by setting the default value for volumes,
    snapshots and gigabytes in the quota_class table at migration time if there
    is not already a class_name of 'default' in the quota_classes table.

    Unit tests are included with this commit.

    Closes-bug 1233763
    Change-Id: I457ed8a9b78492eda22e31dfc198b2ee051d3ece
    (cherry picked from commit 7d2641688454d9064b691e4aab4b5d8b14d75305)

tags: added: in-stable-havana
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers